Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam
Class Entity

    java.lang.Object
      org.jboss.seam.Model
          org.jboss.seam.Entity

    public class Entity

extends Model

Metamodel class for entity classes. A class will be identified as an entity class if it has an @Entity annotation.

Author:
  Gavin King

Nested Class Summary
`static class` | `Entity.NotEntityException`

Constructor Summary
`Entity(Class<?> beanClass)` Deprecated.

Method Summary
`static Entity` | `forBean(Object bean)`
`static Entity` | `forClass(Class clazz)`
`Object` | `getIdentifier(Object entity)`
`Field` | `getIdentifierField()` Deprecated.
`Method` | `getIdentifierGetter()` Deprecated.
`String` | `getName()`
`Method` | `getPostLoadMethod()`
`Method` | `getPrePersistMethod()`
`Method` | `getPreRemoveMethod()`
`Method` | `getPreUpdateMethod()`
`Object` | `getVersion(Object entity)`
`Field` | `getVersionField()` Deprecated.
`Method` | `getVersionGetter()` Deprecated.

Methods inherited from class org.jboss.seam.Model
`getBeanClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entity

    @Deprecated
    public Entity(Class<?> beanClass)

  Deprecated.

  Parameters:
    `beanClass` - Use Entity.forBean() or Entity.forClass

Method Detail

### getPostLoadMethod

    public Method getPostLoadMethod()

### getPrePersistMethod

    public Method getPrePersistMethod()

### getPreRemoveMethod

    public Method getPreRemoveMethod()

### getPreUpdateMethod

    public Method getPreUpdateMethod()

### getIdentifierField

    @Deprecated
    public Field getIdentifierField()

  Deprecated.

### getIdentifierGetter

    @Deprecated
    public Method getIdentifierGetter()

  Deprecated.

### getVersionField

    @Deprecated
    public Field getVersionField()

  Deprecated.

### getVersionGetter

    @Deprecated
    public Method getVersionGetter()

  Deprecated.

### getIdentifier

    public Object getIdentifier(Object entity)

### getVersion

    public Object getVersion(Object entity)

### getName

    public String getName()

### forBean

    public static Entity forBean(Object bean)

### forClass

    public static Entity forClass(Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD